Bug 1246955 - calamares-1.1.2 is available
Summary: calamares-1.1.2 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: calamares
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Kofler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-27 02:55 UTC by Neal Gompa
Modified: 2015-08-29 00:17 UTC (History)
4 users (show)

Fixed In Version: 1.1.2-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-25 16:06:30 UTC


Attachments (Terms of Use)

Description Neal Gompa 2015-07-27 02:55:59 UTC
Latest upstream release: 1.1.2
Current version/release in Fedora 23 branch/rawhide: calamares-1.0.1-5.20150502gita70306e54f505.fc23

v1.1.2 fixes several cosmetic and functional bugs in the installer.

Release URL: https://calamares.io/calamares-1.1.2-is-out/

Please upgrade calamares.

Comment 1 Kevin Kofler 2015-08-16 21:54:52 UTC
I know it's out. I haven't gotten around to doing the update. Upgrading Calamares is not trivial, I always have to check whether settings upgrades are needed. (In this particular case, there is at least the support for slideshow translations that we should take advantage of. I also need to go through the full list of changes to see whether I need to update any .conf file.) The 1.1.2 tarballs also finally include the partitionmanager code, so I need to remove the separate tarball hack.

What's sure is that the packages dremor (added to CC) is building in Copr are NOT useful. The partitionmanager module MUST NOT be disabled. Please just wait for me to do the work right.

Comment 2 Fedora Update System 2015-08-17 02:36:07 UTC
calamares-1.1.2-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/calamares-1.1.2-1.fc23

Comment 3 Fedora Update System 2015-08-17 02:37:51 UTC
calamares-1.1.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/calamares-1.1.2-1.fc22

Comment 4 Fedora Update System 2015-08-17 02:38:29 UTC
calamares-1.1.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/calamares-1.1.2-1.fc21

Comment 5 Erwan GEORGET 2015-08-17 03:12:57 UTC
Hi

This upload was for testing purpose (as stated in the copr description). Buggy, unfortunatly (newbie packager inside), but at least, I've learned something today. Now that you have submitted this update, I'll remove it.

thank you ;)

Comment 6 Kevin Kofler 2015-08-17 08:44:19 UTC
Have you tried my package yet?

Comment 7 Erwan GEORGET 2015-08-17 14:07:13 UTC
I tried you package, managed to install a buggy (but somewhat working) Fedora installation. 

Complete name seem to be ignored, username is used instead.

keyboad shown as "unknown" on fist start (but was the french azerty I asked during install)

Some weird ascii codec error, I'll try to install it again, to see.

Comment 8 Erwan GEORGET 2015-08-17 15:06:21 UTC
Second try, the newly installed work fine, except for the complete dame part.

The two other bugs seem to come from changing the system locale.

But the spec file could use some cleanup.

Comment 9 Kevin Kofler 2015-08-17 23:44:26 UTC
> Complete name seem to be ignored, username is used instead.

> keyboad shown as "unknown" on fist start (but was the french azerty I asked
> during install)

Both of these sound like display manager issues, not Calamares bugs. What display manager are you using? SDDM? (Especially the second issue is a known SDDM bug.)


As for the locale, make sure you pick a .UTF-8 locale. (The locale selection UI in Calamares could use improvement, that's a known upstream issue. IMHO, non-UTF-8 locales should be hidden entirely, and language and country should be selectable separately, as for the keyboard layouts.)

Comment 10 Erwan GEORGET 2015-08-18 08:41:30 UTC
On comment 8 : -dame +name


I used the standard gnome3+gdm install.

Comment 11 Kevin Kofler 2015-08-18 14:03:16 UTC
Oh, and about the specfile, I could simplify a bit by dropping support for snapshot builds (which would make all those conditionals go away), but I'm not sure it's a good idea to do that now, so I preferred to keep supporting snapshots for now.

Basically, the complexity boils down to 3 simple conditional constructs:
%{?snaphash}: inserts %{snaphash} if it is defined, nothing otherwise
%{?snaphash:foo}: inserts foo if %{snaphash} is defined, nothing otherwise
%{!?snaphash:foo}: inserts foo if %{snaphash} is undefined, nothing otherwise

Comment 12 Erwan GEORGET 2015-08-18 16:20:55 UTC
You could use a copr for snapshots (something like "calamares-git"), and only push stable build on the main repo.

Comment 13 Kevin Kofler 2015-08-18 16:55:40 UTC
You're missing the point, which is that I don't want to have to change the specfile back and forth if I switch between a release and a snapshot, nor maintain 2 separate specfiles where I'd have to merge all changes both ways. Whether I ship the snapshots as updates or in a Copr is completely irrelevant.

Comment 14 Fedora Update System 2015-08-19 07:57:27 UTC
Package calamares-1.1.2-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing calamares-1.1.2-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-13634/calamares-1.1.2-1.fc22
then log in and leave karma (feedback).

Comment 15 Erwan GEORGET 2015-08-19 09:06:27 UTC
I see, I didn't know that it was possible to do that (as I said before, newbie package inside ;) ).

Comment 16 Kevin Kofler 2015-08-19 20:48:41 UTC
Conditionals in RPM are really powerful, but I admit they can be a bit obscure and ugly at times. :-)

Comment 17 Fedora Update System 2015-08-25 16:06:29 UTC
calamares-1.1.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-08-28 23:47:14 UTC
calamares-1.1.2-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-08-28 23:50:04 UTC
calamares-1.1.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.